Bug 10346 - locales/ru_UA: Fix first day of the week
Summary: locales/ru_UA: Fix first day of the week
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: GNU C Library Locale Maintainers
URL:
Keywords:
: 9912 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-06-29 22:27 UTC by Dmitry V. Levin
Modified: 2014-07-01 07:54 UTC (History)
5 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
glibc-locales-ru_UA-bz10346.diff (514 bytes, patch)
2009-06-29 22:34 UTC, Dmitry V. Levin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry V. Levin 2009-06-29 22:27:25 UTC
Both ru_RU and ua_UA properly define first_weekday and first_workday to 2, 
and ru_UA obviously should define the same values.

Reported in http://bugzilla.altlinux.org/show_bug.cgi?id=20575
Comment 1 Dmitry V. Levin 2009-06-29 22:34:20 UTC
Created attachment 4029 [details]
glibc-locales-ru_UA-bz10346.diff

Proposed patch.
Comment 2 Ulrich Drepper 2009-10-30 07:13:30 UTC
You have to get the locale author to agree.
Comment 3 Denys Dmytriyenko 2009-10-31 06:25:31 UTC
Acked-by: Denys Dmytriyenko <denis@denix.org>
Comment 4 Pravin S 2011-06-07 09:14:24 UTC
can we push this patch in upstream?

one more duplicate of this at https://bugzilla.redhat.com/show_bug.cgi?id=624296
Comment 5 Dmitry V. Levin 2012-04-04 17:55:31 UTC
The bug is obvious, the fix is trivial, the locale author is agree.
What else do you need to get the bug fixed?
Comment 6 law 2012-04-04 19:48:51 UTC
*** Bug 9912 has been marked as a duplicate of this bug. ***
Comment 7 law 2012-04-04 19:53:36 UTC
Given the original author ack'd eons ago, I'm going to go ahead and install this fix.